import { Context, Schema } from 'koishi';
interface RelayRelation {
    discordChannel?: string;
    discordGuild?: string;
    onebotChannel: string;
    webhookId?: string;
    webhookToken?: string;
    webhookUrl: string;
}
export interface Config {
    relations: RelayRelation[];
}
export interface RelayTable {
    id: number;
    dcId: string;
    onebotId: string;
    deleted: number;
    message: string;
}
declare module 'koishi' {
    interface Tables {
        dcqq_relay: RelayTable;
    }
}
export declare const Config: Schema<Config>;
export declare const using: readonly ["database"];
export declare function apply(ctx: Context, config: Config): Promise<void>;
export {};
